# DataExchange
TKSTEPBase
StepShape

# StepShape_ConnectedFaceSubSet Class Reference

Representation of STEP entity ConnectedFaceSubSet
.

`#include <StepShape_ConnectedFaceSubSet.hxx>`

Inheritance diagram for StepShape_ConnectedFaceSubSet:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_ConnectedFaceSubSet ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aRepresentationItem_Name, const Handle(StepShape_HArray1OfFace)&aConnectedFaceSet_CfsFaces, const Handle(StepShape_ConnectedFaceSet)&aParentFaceSet)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepShape_ConnectedFaceSet | ParentFaceSet () const
| Returns field ParentFaceSet .
Standard_EXPORT void | SetParentFaceSet (const Handle(StepShape_ConnectedFaceSet)&ParentFaceSet)
| Set field ParentFaceSet .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepShape_ConnectedFaceSet | theParentFaceSet

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_ConnectedFaceSubSet::StepShape_ConnectedFaceSubSet | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepShape_ConnectedFaceSubSet::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_ConnectedFaceSet.

Standard_EXPORT void StepShape_ConnectedFaceSubSet::Init | ( | const Handle(TCollection_HAsciiString)& | aRepresentationItem_Name,
|  | const Handle(StepShape_HArray1OfFace)& | aConnectedFaceSet_CfsFaces,
|  | const Handle(StepShape_ConnectedFaceSet)& | aParentFaceSet
| ) |

Standard_EXPORT Handle_StepShape_ConnectedFaceSet StepShape_ConnectedFaceSubSet::ParentFaceSet | ( |  | ) | const

Standard_EXPORT void StepShape_ConnectedFaceSubSet::SetParentFaceSet | ( | const Handle(StepShape_ConnectedFaceSet)& | ParentFaceSet | ) |

## Field Documentation

Handle_StepShape_ConnectedFaceSet StepShape_ConnectedFaceSubSet::theParentFaceSet `[private]`

The documentation for this class was generated from the following file:

- StepShape_ConnectedFaceSubSet.hxx